Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 418353 - dev-php/pecl-dbase - DBASE support removed from PHP 5.3
Summary: dev-php/pecl-dbase - DBASE support removed from PHP 5.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: PHP Bugs
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2012-05-31 11:20 UTC by damage
Modified: 2017-07-07 15:25 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
1st version of pecl-dbase ebuild (pecl-dbase-5.0.1.ebuild,387 bytes, text/plain)
2012-05-31 11:20 UTC, damage
Details
ebuild for pecl-dbase-5.1.0 (pecl-dbase-5.1.0.ebuild,494 bytes, text/plain)
2013-06-03 10:22 UTC, Sergey S. Starikoff
Details
ebuild for =dev-php/pecl-dbase-5.1.0 (pecl-dbase-5.1.0.ebuild,420 bytes, text/plain)
2013-06-06 09:38 UTC, Sergey S. Starikoff
Details
ebuild for =dev-php/pecl-dbase-5.1.0 (pecl-dbase-5.1.0.ebuild,398 bytes, text/plain)
2015-05-12 13:47 UTC, Sergey S. Starikoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description damage 2012-05-31 11:20:24 UTC
Created attachment 313697 [details]
1st version of pecl-dbase ebuild

Hi,
as DBASE support was moved from PHP to PECL (since PHP 5.3) you need to install DBASE support from PECL:

http://pecl.php.net/package/dbase

I have attached a first dev-php/pecl-dbase ebuild which is very small...

May pecl-dbase need some dependencies?!

cheers
Daniel
Comment 1 Sergey S. Starikoff 2013-06-03 10:22:10 UTC
Created attachment 349966 [details]
ebuild for pecl-dbase-5.1.0

Ebuild for dbase-5.1.0, written and tested on build with php-5.4.13.
Comment 2 Sergey S. Starikoff 2013-06-06 09:38:59 UTC
Created attachment 350268 [details]
ebuild for =dev-php/pecl-dbase-5.1.0

Fixed ebuild for current portage state (package is compatible both with php-5.3 and php-5.4; also should be compatible with php-5.5, but it's still not stable, so not listing).
Comment 3 Sergey S. Starikoff 2015-05-12 13:47:38 UTC
Created attachment 403130 [details]
ebuild for =dev-php/pecl-dbase-5.1.0

Updated ebuild (fixes configure warnings with recent eclasses and adding php-5.5 target).
No upstream changes.
Comment 4 Brian Evans Gentoo Infrastructure gentoo-dev 2017-07-07 15:25:56 UTC
Added as dev-php/pecl-dbase